Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class RemoteService

    java.lang.Object
      org.teleal.cling.model.meta.Service
          org.teleal.cling.model.meta.RemoteService

    public class RemoteService

extends Service

Constructor Summary
`RemoteService(Action[] actions, StateVariable[] stateVariables)`
`RemoteService(UDAVersion version, Action[] actions, StateVariable[] stateVariables)`

Method Summary
`static Constructor<RemoteService>` | `getConstructor()`
`Action` | `getQueryStateVariableAction()`

Methods inherited from class org.teleal.cling.model.meta.Service
`getAction, getActions, getDatatype, getDeviceService, getRelatedStateVariable, getStateVariable, getStateVariables, getVersion, hasActions, hasStateVariables, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteService

    public RemoteService(UDAVersion version,
                         Action[] actions,
                         StateVariable[] stateVariables)
                  throws ValidationException

Throws:
  `ValidationException`

### RemoteService

    public RemoteService(Action[] actions,
                         StateVariable[] stateVariables)
                  throws ValidationException

Throws:
  `ValidationException`

Method Detail

### getConstructor

    public static Constructor<RemoteService> getConstructor()

### getQueryStateVariableAction

    public Action getQueryStateVariableAction()

  Specified by:
    `getQueryStateVariableAction` in class `Service`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.